Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(3)  |  Call(3)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/object.py   rhinopython(Download)
        if not from_plane.IsValid or not to_plane.IsValid:
            raise Exception("unable to create valid planes from point lists")
        xform_final = Rhino.Geometry.Transform.PlaneToPlane(from_plane, to_plane)
    else:
        #Orient2Pt

src/r/h/rhinopython-HEAD/scripts/rhinoscript/transformation.py   rhinopython(Download)
    initial_plane = rhutil.coerceplane(initial_plane, True)
    final_plane = rhutil.coerceplane(final_plane, True)
    xform = Rhino.Geometry.Transform.PlaneToPlane(initial_plane, final_plane)
    if not xform.IsValid: return scriptcontext.errorhandler()
    return xform

src/r/h/rhinopythonscripts-HEAD/GeomTools.py   rhinopythonscripts(Download)
            pts.append(Rhino.Geometry.Point3d(x, y, 0.0))
    if plane != WorldXY:
        xform = Rhino.Geometry.Transform.PlaneToPlane(WorldXY,
                plane)
        # I think Transform modifies in place